libebook::IMPCollector Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libebook::IMPCollector Class Reference

`#include <IMPCollector.h>`

## Public Member Functions
| IMPCollector (librevenge::RVNGTextInterface *document)
void | openParagraph ()
void | closeParagraph ()
void | collectText (const std::string &text)
void | collectLineBreak ()
void | collectImage ()
void | openTable ()
void | closeTable ()
void | collectTableCell ()
void | openPageHeader ()
void | closePageHeader ()
void | openPageFooter ()
void | closePageFooter ()

## Private Attributes
librevenge::RVNGTextInterface *const | m_document

## Constructor & Destructor Documentation

## § IMPCollector()

libebook::IMPCollector::IMPCollector | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

## Member Function Documentation

## § closePageFooter()

void libebook::IMPCollector::closePageFooter | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § closePageHeader()

void libebook::IMPCollector::closePageHeader | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § closeParagraph()

void libebook::IMPCollector::closeParagraph | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § closeTable()

void libebook::IMPCollector::closeTable | ( |  | ) |

## § collectImage()

void libebook::IMPCollector::collectImage | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § collectLineBreak()

void libebook::IMPCollector::collectLineBreak | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § collectTableCell()

void libebook::IMPCollector::collectTableCell | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § collectText()

void libebook::IMPCollector::collectText | ( | const std::string & | text | ) |

Referenced by libebook::IMPText::flushText().

## § openPageFooter()

void libebook::IMPCollector::openPageFooter | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § openPageHeader()

void libebook::IMPCollector::openPageHeader | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § openParagraph()

void libebook::IMPCollector::openParagraph | ( |  | ) |

Referenced by libebook::IMPText::parse().

## § openTable()

void libebook::IMPCollector::openTable | ( |  | ) |

Referenced by libebook::IMPText::parse().

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* const libebook::IMPCollector::m_document
| private

Referenced by closePageFooter(), closePageHeader(), closeParagraph(), closeTable(), collectImage(), collectLineBreak(), collectTableCell(), collectText(), openPageFooter(), openPageHeader(), openParagraph(), and openTable().

The documentation for this class was generated from the following files:

- IMPCollector.h
- IMPCollector.cpp